package com.yeejoin.precontrol.common.enums.media;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: songLei
 * @Description: 取流协议
 * @Date: 2021/4/29 15:50
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum StreamingProtocol {
    // “rtsp”:RTSP协议,“rtmp”:RTMP协议（只支持H264视频编码和AAC音频编码）“hls”:HLS协议
    RTSP("rtsp"),
    RTMP("rtmp"),
    HLS("hls"),
    WS("ws");
    private String type;
}
